<?php
namespace Incoviba\Controller\Ventas;
use Incoviba\Common\Implement\Exception\EmptyResult;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Incoviba\Common\Alias\View;
use Incoviba\Repository;

class Propietarios
{
    public function show(ServerRequestInterface $request, ResponseInterface $response, View $view, Repository\Venta\Propietario $propietarioRepository, int $propietario_rut): ResponseInterface
    {
        $propietario = $propietarioRepository->fetchById($propietario_rut);
        return $view->render($response, 'ventas.propietarios.show', compact('propietario'));
    }
    public function get(ServerRequestInterface $request, ResponseInterface $response, Repository\Venta\Propietario $propietarioRepository, int $propietario_rut): ResponseInterface
    {
        $output = [
            'rut' => $propietario_rut,
            'propietario' => null
        ];
        try {
            $output['propietario'] = $propietarioRepository->fetchById($propietario_rut);
        } catch (EmptyResult) {}
        $response->getBody()->write(json_encode($output));
        return $response->withHeader('Content-Type', 'application/json');
    }
}
